# Package org.apache.cassandra.cql3.functions

Interface Summary
AggregateFunction: Performs a calculation on a set of values and return a single value.
AggregateFunction.Aggregate: An aggregation operation.
Function
ScalarFunction: Determines a single output value based on a single input value.

Class Summary
AbstractFunction: Base class for our native/hardcoded functions.
AggregateFcts: Factory methods for aggregate functions.
BytesConversionFcts
FromJsonFct
FunctionCall
FunctionCall.Raw
FunctionName
Functions
JavaSourceUDFFactory: Java source UDF code generation.
NativeAggregateFunction: Base class for the `AggregateFunction` native classes.
NativeFunction: Base class for our native/hardcoded functions.
NativeScalarFunction: Base class for the `ScalarFunction` native classes.
ScriptBasedUDF
TimeFcts
ToJsonFct
TokenFct
UDAggregate: Base class for user-defined-aggregates.
UDFunction: Base class for User Defined Functions.
UDHelper: Helper class for User Defined Functions + Aggregates.
UuidFcts